package cn.com.qmth.examcloud.core.oe.student.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamSessionInfoReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetQrCodeReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamSessionInfoResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetQrCodeResp;

public interface OeStudentExamRecordCloudService extends CloudService{

	public void cleanExamRecords();
	/**
	 * 获取二维码
	 * @return
	 */
	public GetQrCodeResp getQrCode(GetQrCodeReq req);
	/**
	 * 获取考试会话
	 * @return
	 */
	public GetExamSessionInfoResp getExamSessionInfo(GetExamSessionInfoReq req);
}
